.confirm-button-large-modal {
	width: 20% !important;
}

.swal2-content select {
	height: 100%;
}

.swal2-content select.form-input-popup.select {
	appearance: none;
	-webkit-appearance: none;
	-moz-appearance: none;

	padding: 12px 40px 12px 16px;
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='20' height='20' viewBox='0 0 24 24' fill='none' stroke='%23666' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpolyline points='6 9 12 15 18 9'/%3E%3C/svg%3E");
	background-repeat: no-repeat;
	background-position: right 16px center;
	background-size: 16px;
}

.swal2-content select:focus {
	border: 1px solid #009A9A;
}

.swal2-content select option, optgroup {
	background: var(--dark-grey-color);
	color: white;
}

.button-link {
	text-decoration: none;
	color: #009A9A;
	cursor: pointer;
	margin-left: 3%;
	font-size: 80%;
}

.hidden-ba-aprovador {
	display: none;
}

.button-confirm-comentatios-pedido {
	display: none
}

.container-comentatios-pedido .swal2-actions .swal2-confirm {
	width: 10%;
	margin-bottom: 2%;
	border-radius: 8px;
	border-color: transparent;
	color: white;
}

.container-styled {
	border: 1px solid #009A9A;
	border-radius: 8px;
	white-space: normal;
	word-break: break-all;
	padding: 1%;
}

.container-comentario {
	margin-left: 5%;
	margin-right: 5%;
}

.container-titulo-comentario {
	margin-top: 2%;
	display: flex;
	font-size: 115%;
	align-items: center;
	font-family: 'Montserrat';
	font-style: normal;
	font-weight: 700;
	color: #000028;
}

.container-data-comentario {
	display: flex;
	margin-bottom: 2%;
}

.titulo-comentario {
	margin: 2%
}

.container-conteudo-pedido {
	font-family: 'Montserrat';
	font-style: normal;
}

.titulo-oferta-associada {
	display: flex;
}

.link-padrao-popup {
	color: #009A9A;
	text-decoration: none;
}

.titulo-oferta-associada a {
	font-size: 120%;
	margin-top: 2%;
	font-weight: bold;
}

.container-oferta-associada {
	text-align: justify;
}

.campo-visualizar-pedido {
	font-size: 105%;
	text-align: justify;
	margin-top: 0.2%;
}

.container-informacoes-pedido-sobresalentes {
	margin-top: 1%;
	margin-left: 2%;
}

.observacao-titulo {
	text-align: justify;
	font-size: 120%;
	margin-top: 2%;
	font-weight: bold;
}

.swal2-popup {
	border-radius: 16px !important;
	width: 500px;
	height: auto !important;
	padding: 48px !important;
}

.radio-container label, .radio-time-container label {
	font-weight: 700;
	font-size: 16px;
	line-height: 20px;
}

#radio-container, #radio-time-container {
	display: flex;
	flex-direction: column;
	margin-bottom: 32px;
	background-color: var(--dark-grey-color);
	border: 1px solid var(--grey-color);
	padding: 10px;
	border-radius: 8px;
}

#radio-time-container {
	margin-bottom: 0;
}

.radio-label {
	display: flex;
	align-items: center;
	margin-bottom: 8px;
	margin-top: 8px;
}

.radio-label input[type="radio"] {
	margin-right: 15px;
}

.radio-input{
	all: unset;
	width: 18px;
	height: 18px;
	border: 2px solid var(--yellow-color);
	border-radius: 2px;
}

.radio-input:checked{
	background-color: var(--yellow-color);
	width: 18px;
	height: 18px;
	fill: var(--dark-yellow-color);
	stroke: var(--dark-yellow-color);
}

@media only screen and (max-device-width: 2560px) {

	.swal2-popup {
		border-radius: 24px!important;
	}

	.swal2-container:not(.swal2-top):not(.swal2-top-start):not(.swal2-top-end):not(.swal2-top-left):not(.swal2-top-right):not(.swal2-center-start):not(.swal2-center-end):not(.swal2-center-left):not(.swal2-center-right):not(.swal2-bottom):not(.swal2-bottom-start):not(.swal2-bottom-end):not(.swal2-bottom-left):not(.swal2-bottom-right):not(.swal2-grow-fullscreen)>.swal2-modal
	{
		background-color: var(--dark-grey-color);
	}
	.swal2-actions {
		justify-content: space-evenly !important;
		margin: 32px 0 0 0 !important;
		padding: 0 !important;
	}
	.swal2-content {
		width: 100%;
		padding: 0 !important;
	}
	.swal2-confirm {
		background-color: #E1F000;
		color: black;
		padding: 10px 20px;
		border: none;
		border-radius: 1000px;
		cursor: pointer;
		width: 50%;
		font-size: 14px;
		font-weight: 800;
		line-height: 24px;
		text-align: center;
	}

	.container-title-popup {
		display: flex;
		justify-content: space-between;
		align-items: flex-start;
	}

	.titulo-input-popup {
		display: flex;
		font-weight: 700;
		font-size: 14px;
		line-height: 24px;
		color: var(--yellow-color);
	}
	.titulo-popup {
		font-weight: 700;
		font-size: 24px;
		line-height: 48px;
		color: white;
		text-align: start;
	}

	.close-icon {
		cursor: pointer;
		width: 40px;
		height: 48px;
		padding: 8px 10px 8px 10px;
	}

	.container-input-popup {
		text-align: left;
		color: var(--light-grey-color);
	}

	.container-row-popup {
		display: flex;
		gap: 16px;
	}

	.container-row-popup .container-input-popup {
		flex: 1;
	}

	input.form-input-popup {
		color-scheme: dark;
		background: var(--dark-grey-color) !important;
	}
	:-webkit-autofill,
	:-webkit-autofill:hover,
	:-webkit-autofill:focus {
		-webkit-text-fill-color: var(--light-grey-color)!important;
		-webkit-box-shadow: 0 0 0px 40rem var(--dark-grey-color) inset !important;
	}
	.form-input-popup {
		width: 100% !important;
		border: 1px solid var(--grey-color) !important;
		border-radius: 8px !important;
		height: 48px;
		padding: 18px 10px 18px 16px!important;
		margin-bottom: 32px;
		font-size: 14px;
		background-color: var(--dark-grey-color);
		color: white;
	}
	.text-area-input-popup {
		resize: none;
		height: 8.675rem !important;
	}
	.container-form-popup {
		margin-top: 8%;
	}
	.button-popoup {
		font-family: 'Montserrat';
		width: 100%;
		height: 45px;
		padding: 17.5px 24px 17.5px 24px;
		font-style: normal;
		font-weight: 700;
		font-size: 14px;
		line-height: 5px;
		text-align: center;
		margin-bottom: 5%;
		border-radius: 50px;
		display: flex;
		align-items: center;
		justify-content: center;
	}
	.contato-cadastrar {
		color: var(--grey-color);
		background-color: var(--yellow-color);
	}

	.contato-cadastrar:hover {
		background-color: var(--dark-yellow-color);
	}

	.contato-cancelar {
		color: var(--light-grey-color);
		background: var(--grey-color);
		box-sizing: border-box;
		border: 1px solid var(--light-grey-color);
	}

	.contato-cancelar:hover {
		color: var(--yellow-color);
		box-sizing: border-box;
		border: 1px solid var(--yellow-color);
	}

	.popup-input-invalido {
		margin-left: 3%;
		color: #eb0000;
		font-size: 12px;
	}
	.popup-input-invalido-bottom {
		margin-left: 0% !important;
		margin-bottom: 0% !important;
	}
	.popup-input-invalido-bottom-aviso {
		font-size: 16px !important;
	}
	.container-titulo-popup {
		display: flex;
		align-items: center;
	}
	.popupContainerAviso {
		padding: 1% !important;
	}
	.button-cadastro-ba {
		margin-bottom: 5%;
		font-size: 14px;
		color: #009A9A;
		background-color: transparent;
		font-weight: 700;
		border: none;
	}
	.button-cadastro-ba:hover {
		color: #00CCCC;
	}
	.padding-right-left{
		padding-right: 2rem;
		padding-left: 2rem
	}
}

@media only screen and (max-device-width: 820px) {
	.titulo-popup-contato {
		font-size: 20px;
	}
	.titulo-input-popup-contato {
		font-size: 18px;
	}
	.button-popoup {
		font-size: 14px;
	}
}

@media only screen and (max-device-width: 420px) {

	.swal2-popup {
		width: 100% !important;
	}

	.swal2-confirm, .confirm-button-large-modal {
		width: 100% !important;
	}
}

#popup-responsavel {
	width: 320px;
}

#popup-priorizar {
	width: 320px;
}

.swal-btn-warning {
	background-color: var(--yellow-color) !important;
	width: 100% !important;
	color: #000 !important;
}

.swal-btn-danger {
	background-color: var(--alert-red-color) !important;
	width: 100% !important;
	color: #fff !important;
}